Project
A Project represents a collection of source code, documentation, and web sites treated together as a unit. It's what most people might call an 'application' or 'library'.
Properties
- id
- The unique ID for the Project.
- name
- The project name. Currently limited to 40 characters, and must be unique on Ohloh.
- created_at
- The time at which this Project was initially added to the Ohloh database.
- updated_at
- The time of the most recent modification of this Project record.
- description
- An optional description. Currently limited to 800 characters.
- homepage_url
- An optional URL to the project home page.
- download_url
- An optional URL to a website hosting project downloads.
- url_name
- The human-readable url name for this project. This is what ohloh will use as the default url of the project. However, for api calls, ohloh will also accept using the project id for the url.
- medium_logo_url
- An url to the project's 64x64 pixels logo image.
- small_logo_url
- An url to the project's 32x32 pixels logo image.
- stack_count
- The number of Stacks currently containing this project. Higher stack counts indicate more popular projects.
- average_rating
- A floating point value from 1.0 to 5.0, representing the average value of all user ratings. 1.0 is the worst possible rating and 5.0 is the highest possible rating. Will be null if no users have rated this project.
- rating_count
- The number of users who have rated this project.
- analysis_id
- The unique ID of the current best Analysis for this project. If the project has never been analyzed, this element will be empty.
- analysis
- For convenience, the current best Analysis for the project is included in this element. This object is present only when you have requested a single project -- if the project was returned as part of a collection, the analysis object will not be present.
URL
To get a single Project, including its current best Analysis:
GET http://www.ohloh.net/projects/{project_id}.xml
Collection URL
To get a list of all Projects, not including their Analyses:
GET http://www.ohloh.net/projects.xml
The Project collection request supports the standard collection request parameters, with the following details:
- query
- If supplied, only Projects matching the query string will be returned. A Project matches if its name, description, or any of its tags contain the query string.
- sort
- Project collections support the following sort options:
- created_at
- created_at_reverse
- description
- description_reverse
- id
- id_reverse
- name (default)
- name_reverse
- stack_count
- stack_count_reverse
- updated_at
- updated_at_reverse